Package: org.codehaus.groovy.grails.web.servlet.view

## [Java] Class NullView

- org.codehaus.groovy.grails.web.servlet.view.NullView

- All Implemented Interfaces and Traits:
    org.springframework.web.servlet.View

      public class NullView
      extends java.lang.Object

  A view that does nothing.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NullView (java.lang.String contentType)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getContentType()`
    `void` | `render(java.util.Map model, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public NullView(java.lang.String contentType)

  - ### Method Detail

    - #### public java.lang.String getContentType()

    - #### @java.lang.SuppressWarnings("rawtypes") public void render(java.util.Map model, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)